@font-face {
    font-family: 'Wallace';
    src:url('../fonts/wallace_001-webfont.woff') format('woff'),
        url('../fonts/wallace_001-webfont.woff2') format('woff2'),
        url('../fonts/wallace_001-webfont.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

:root{
  --bg-texture: url(../img/speckle.png), linear-gradient(180deg, #F7EFE9, #E9DCCF);
  --brown050: #FCFAF8;
  --brown075: #FAF4F0;
  --brown100: #F7EFE9;
  --brown200: #E9DCCF;
  --brown300: #DECFBE;
  --brown400: #D2C2AF;
  --brown500: #C4B5A1;
  --brown600: #A59381;
  --brown700: #857263;
  --brown800: #635146;
  --brown900: #40312B;
  --brown950: #32211A;
  --blue700:  #2D4DA6;
}

html{
  margin: 0;
}

body{
  display: flex;
  flex-direction: row;
  align-items: stretch;
  height: 100vh;
  font-family: 'DM Sans', sans-serif;
  font-weight: 400;
  font-size: 1rem;
  line-height: 1.75rem;
  color: var(--brown900);
  margin: 0;
  background: var(--bg-texture);
  background-blend-mode: color-burn, normal;
}

h1,h2,h3,h4{
  font-family: 'DM Sans', sans-serif;
  font-weight: 700;
}

p{
  font-size: 1rem;
  line-height: 1.5rem;
  font-weight: 400;
  margin: 1rem 0;
}

h1{
  font-size: 3rem;
  line-height: 2.5rem;
  margin: 0;
}

h2{
  font-size: 2rem;
  line-height: 2rem;
  margin: 0 0 1rem 0;
}

h3{
  font-size: 1.5rem;
  line-height: 2rem;
  margin: 0 0 0.5rem 0;
}

h4{
  font-size: 1.25rem;
  line-height: 1.5rem;
  margin: 0.5rem 0;
}
ul{
  padding-inline-start: 0;
  list-style-type: none;
  margin: 0 0 1rem ;
}

a{
  color: var(--brown900);
  text-decoration-color: var(--brown700);
}

a:hover{
  color: var(--blue700);
  text-decoration-color: var(--blue700);
}

hr{
  border-top: 1px solid var(--brown500);
  border-bottom: 0;
  margin: 1rem 0;
}

.caption {
  margin: 0;
  font-family: 'DM Sans', sans-serif;
  font-weight: 500;
  text-decoration: underline;
  color: var(--brown700);
}

.caption:active{
  color: var(--blue700);
}

.bg1{
  background-color: var(--brown050);
}

.bg2{
  background-color: var(--brown075);
}

.bg3{
  background-color: var(--brown100);
}

.w25{
  width: 25%;
}

.w37{
  width: 37.5%;
}

.w50{
  width: 50%;
}

.w100{
  width: 100%;
}

.cabinet{
  padding: 1rem;
  display: flex;
  flex-direction: column;
}

.nav{
  display: flex;
  flex-direction: column;
  flex-grow: 1;
  justify-content: center;
  align-items: stretch;
}

.nav button{
  display: block;
  background-color: inherit;
  color: var(--brown900);
  width: 100%;
  border: none;
  outline: none;
  text-align: left;
  text-decoration: underline;
}

.nav button:hover{
  color: var(--blue700);
}

.nav button:active{
  color: var(--blue700);
}

.back {
  display: flex;
  flex-direction: row;
  align-items: center;
  background-color: inherit;
  border: none;
  gap: 0.5rem;
  color: var(--brown900);
  margin-bottom: 1rem;
}

.back h2{
  margin: 0;
  text-align: left;
}

.shelf{
  padding: 1rem;
  display: none;
  flex-direction: column;
  overflow: auto;
}

.handle {
  display: block;
  background-color: inherit;
  color: var(--brown900);
  padding: 0.5rem 0;
  width: 100%;
  border: none;
  outline: none;
  text-align: left;
  text-decoration: underline;
}

.handle :hover{
  color: var(--blue700);
}

.handle :active{
  color: var(--blue700);
}

.tab{
  display: block;
  background-color: inherit;
  color: var(--brown700);
  padding: 0;
  width: 100%;
  border: none;
  outline: none;
  text-align: left;
  text-decoration: underline;
}

.tab :hover{
  color: var(--blue700);
}

.tab :active{
  color: var(--blue700);
}

.accordion {
  background-color: inherit;
  cursor: pointer;
  padding: 0;
  width: 100%;
  border: none;
  text-align: left;
  outline: none;
  font-size: 15px;
  transition: 0.4s;
  display: flex;
  flex-direction: row;
  align-items: center;
}

.active, .accordion:hover {
  color: var(--blue700);
}

.panel {
  display: none;
  flex-direction: column;
}

.folder{
  display: none;
  flex-direction: column;
  padding: 1rem;
  overflow: auto;
}

.folder hr{
  border-top: 1px solid var(--brown500);
  margin: 1rem 0;
}

.folderImg{
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-bottom: 1rem;
  cursor: pointer;
}

.folderImg img{
  width: 100%;
  max-width: 480px;
}

.folderUIsml{
  width: 50%;
  max-width: 360px;
  display: block;
  padding: 1rem 0.5rem 0.5rem;
  border: 1px solid;
  border-color: var(--brown700);
  border-radius: 1rem;
  margin: 0 auto 1rem;
}

.ui{
  width: 100%;
  border-radius: 0.5rem;
  border: 1px solid;
  border-color: var(--brown700);
}

.modal{
  display: none;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 1;
  padding: 1rem 0;
  overflow: auto;
  flex-direction: column;
  align-items: center;
  margin: 0;
  background-color: rgb(0,0,0);
  background-color: rgb(0,0,0,0.48);
}

.modal-content {
  margin: auto;
  text-align: center;
}

.modalImg{
  margin-top: 1rem;
  max-width: 90%;
  max-height: 100;
  padding: 1rem;
  background-color: var(--brown050);
}

.close {
  color: var(--brown050);
  display: block;
  font-size: 28px;
  font-weight: bold;
}

.close:hover,
.close:focus {
  text-decoration: none;
  cursor: pointer;
}

.wallace-font{
  font-family: 'Wallace';
  font-size: 3rem;
  line-height: 3.5rem;
  color: var(--brown900);
}

.footer{
  position: fixed;
  bottom: 1rem;
  left: 1rem;
}

::-webkit-scrollbar {
  width: 0px;
}

#zachimg {
  object-fit: cover;
  object-position: top;
  height: 25%;
}
